CREATE PROCEDURE [BO_GetUser]
	@UserId BIGINT
AS
	SELECT TOP 1 UserId, UserRoleId, ApiConsumerId, Email, UserTypeId, UserName, FirstName, LastName, CountryId, PhonePrefix, Phone, Address, City,
    ZipCode, BirthDate, Gender, LanguageId, IsUSTaxEntity, RegistrationDate, KYC_Approved, CreateDate, CreateOrigin, CreateIPAddress, Source, LastModifyDate,
    LastModifyOrigin, LastModifyOperatorId, TermsOfServiceChecked, MailVerfied, PhoneVerified, HasAvatar, [Rank] 
	FROM Users with(nolock)
	WHERE UserId = ISNULL(@UserId, UserId)
RETURN 0
